Delete a specific incident event by id
curl --request DELETE \
--url https://api.rootly.com/v1/events/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "e25d965d-6973-4d6b-9ffc-11000014d8f1",
"type": "incident_events",
"attributes": {
"event": "Tempora saepe exercitationem distinctio.",
"event_raw": "Tempora saepe exercitationem distinctio.",
"kind": "event",
"source": "web",
"visibility": "internal",
"user_display_name": "Yoko VonRueden",
"occurred_at": "2026-01-21T11:19:11.739-08:00",
"starred_at": null,
"created_at": "2026-01-21T11:19:11.739-08:00",
"updated_at": "2026-01-21T11:19:13.421-08:00"
}
}
}Was this page helpful?
curl --request DELETE \
--url https://api.rootly.com/v1/events/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "e25d965d-6973-4d6b-9ffc-11000014d8f1",
"type": "incident_events",
"attributes": {
"event": "Tempora saepe exercitationem distinctio.",
"event_raw": "Tempora saepe exercitationem distinctio.",
"kind": "event",
"source": "web",
"visibility": "internal",
"user_display_name": "Yoko VonRueden",
"occurred_at": "2026-01-21T11:19:11.739-08:00",
"starred_at": null,
"created_at": "2026-01-21T11:19:11.739-08:00",
"updated_at": "2026-01-21T11:19:13.421-08:00"
}
}
}